/***************************************************************************
 *   Copyright (C) 2005 by George Wright                                   *
 *   gwright@kde.org                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "knxconnectionstatus.h"

#include <kdebug.h>
#include <qstring.h>

using namespace std;

CallBack::CallBack()
{
	status = new KNXStatus();
}

void CallBack::Callback(unsigned int msg, void *ptr)
{
	status->sendMessage(msg, (const char*)ptr);
}

void KNXStatus::sendMessage(unsigned int type, QString msg) {
	emit message(type, msg);
}

#include "knxconnectionstatus.moc"

